Approvals
GET
/organizations/{organizationId}/approvals
List approval flows
查询参数
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.organizationId
string
results.workspaceId
string
results.ownerId
string
必填
results.name
string
必填
results.description
string
必填
results.objectType
string
必填
The identifier of the object
results.objectAction
string
必填
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
必填
显示子属性
results.steps.type
string
必填
Possible values: any, all
results.steps.users
array of string
必填
results.steps.reviewers
array of object
显示子属性
results.steps.reviewers.type
string
必填
Possible values: user
results.steps.reviewers.id
string
必填
results.steps.message
string
results.createdAt
string
必填
results.updatedAt
string
必填
results.tags
array of object
显示子属性
results.tags.key
string
必填
results.tags.value
string
必填
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/approvals
Create approval flow
请求载荷
name
string
必填
description
string
必填
objectType
string
必填
The identifier of the object
objectAction
string
必填
The action performed on the object
Possible values: create, update, delete
tags
array of object
显示子参数
tags.key
string
必填
tags.value
string
必填
steps
array of object
必填
显示子参数
steps.type
string
必填
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
显示子参数
steps.reviewers.type
string
必填
Possible values: user
steps.reviewers.id
string
必填
steps.message
string
响应载荷
id
string
必填
organizationId
string
workspaceId
string
ownerId
string
必填
name
string
必填
description
string
必填
objectType
string
必填
The identifier of the object
objectAction
string
必填
The action performed on the object
Possible values: create, update, delete
steps
array of object
必填
显示子属性
steps.type
string
必填
Possible values: any, all
steps.users
array of string
必填
steps.reviewers
array of object
显示子属性
steps.reviewers.type
string
必填
Possible values: user
steps.reviewers.id
string
必填
steps.message
string
createdAt
string
必填
updatedAt
string
必填
tags
array of object
显示子属性
tags.key
string
必填
tags.value
string
必填
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
响应载荷
id
string
必填
organizationId
string
workspaceId
string
ownerId
string
必填
name
string
必填
description
string
必填
objectType
string
必填
The identifier of the object
objectAction
string
必填
The action performed on the object
Possible values: create, update, delete
steps
array of object
必填
显示子属性
steps.type
string
必填
Possible values: any, all
steps.users
array of string
必填
steps.reviewers
array of object
显示子属性
steps.reviewers.type
string
必填
Possible values: user
steps.reviewers.id
string
必填
steps.message
string
createdAt
string
必填
updatedAt
string
必填
tags
array of object
显示子属性
tags.key
string
必填
tags.value
string
必填
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
请求载荷
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
显示子参数
steps.type
string
必填
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
显示子参数
steps.reviewers.type
string
必填
Possible values: user
steps.reviewers.id
string
必填
steps.message
string
响应载荷
id
string
必填
organizationId
string
workspaceId
string
ownerId
string
必填
name
string
必填
description
string
必填
objectType
string
必填
The identifier of the object
objectAction
string
必填
The action performed on the object
Possible values: create, update, delete
steps
array of object
必填
显示子属性
steps.type
string
必填
Possible values: any, all
steps.users
array of string
必填
steps.reviewers
array of object
显示子属性
steps.reviewers.type
string
必填
Possible values: user
steps.reviewers.id
string
必填
steps.message
string
createdAt
string
必填
updatedAt
string
必填
tags
array of object
显示子属性
tags.key
string
必填
tags.value
string
必填
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'